# hexrgb

A minimalist yet powerful CLI tool to convert HEX color codes to RGB format. Built for terminal lovers, developers, and color geeks.

---

## 📦 Installation

### ✅ Option 1: Install via PyPI (Recommended)

```bash
pip install hexrgb
```

Once installed, use it anywhere:

```bash
hexrgb --hex-to-rgb "#AABBCC"
```

---

### 📁 Option 2: Manual Installation from GitHub

1. **Clone the repository:**

```bash
git clone https://github.com/yourusername/hexrgb.git
cd hexrgb
```

2. **Run directly with Python:**

```bash
python3 main.py --hex-to-rgb "#AABBCC"
```

3. **Or install locally using pip:**

```bash
pip install .
# For development mode (editable)
pip install -e .
```

---

## 🚀 Usage

```bash
$ hexrgb --hex-to-rgb "#AABBCC"
RGB: 170,187,204
```

### ✅ Supported Input Formats:

* `#RRGGBB`
* `RRGGBB`

No need to include the `#`, both are accepted.

---

## 🛠 Uninstall

To remove the tool completely:

```bash
pip uninstall hexrgb
```

---

## 👤 Author

**Mallik Mohammad Musaddiq**

* GitHub: [@mallikmusaddiq1](https://github.com/mallikmusaddiq1)
* Project Philosophy: Minimalism, Modularity, CLI-first

---

## 📝 License

[MIT License](LICENSE)

Free to use, modify, and distribute.

> "Colors speak in silence; hexrgb translates their voice into logic."

---
